<div uib-dropdown keyboard-nav class="dropdown dropdown-menu-right" is-open="contact.keydown" on-toggle="dropdownStatus(open, contact.sources[0].id)">
    <span class="nd-action-button vertical-align" uib-dropdown-toggle role="button" href id="contact-{{contact.sources[0].id}}">
        <p ng-class="ctrl.getContactLabelColor(contact)" class="col-xs-10 contact">
            <span long-text="{{ contact.name }}" max-chars="32"></span>
            <span ng-if="contact.subtitle1 || contact.subtitle2">
                <br/>
                <span long-text="{{ contact.subtitle1 }} - {{ contact.subtitle2 }}" max-chars="42" class="contact-subheader"></span>
            </span>
        </p>
        <p class="col-xs-2 text-center">
            <span ng-if="!ellipsis">
                <i ng-class="isMeetingRoom(contact) ? 'users-icon fa fa-video' : 'fa fa-{{icon}}'"></i>
            </span>
            <span ng-if="ellipsis">
                <span ng-show="!contact.hover && !contact.keydown">
                    <i ng-class="[isMeetingRoom(contact) ? 'users-icon fa fa-video' : 'fa fa-{{icon}}', getStateColor(contact.status)]"></i>
                </span>
                <span ng-show="contact.hover || contact.keydown">
                    <i class="fas fa-ellipsis-v"></i>
                </span>
            </span>
        </p>
    </span>
    <ul class="dropdown-menu" uib-dropdown-menu role="menu" aria-labelledby="contact-{{contact.sources[0].id}}">
        <li ng-repeat="phone in phoneNumbers track by $index">
            <div class="input-group">
                <span class="input-group-btn group-btn-wrapper">
                    <a ng-if="!isMeetingRoom(contact)" tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-dial" ng-click="dial(phone)" id="call-{{contact.sources[0].id}}"
                    title="{{'PHONE_CALL' | translate}}">{{phone | prettyPhoneNb}}<i class="fa fa-phone"></i></a>
                    <a ng-if="isMeetingRoom(contact)" tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-dial" ng-click="join()" id="call-video-{{contact.sources[0].id}}"
                    title="{{'VIDEO_CALL' | translate}}">{{'JOIN_VIDEO_CALL' | translate}}<i class="fas fa-video"></i></a>
                </span>
                <span ng-if="isMeetingRoom(contact)" class="input-group-btn group-btn-wrapper">
                    <span>
                        <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-action btn-room-audio" ng-click="dial('**' + phone)" id="call-audio-{{contact.sources[0].id}}"
                        title="{{'VIDEO_PHONE_CALL' | translate}}">**{{phone | prettyPhoneNb}}<i class="fa fa-phone"></i></a>
                    </span>
                </span>
                <span ng-if="isMeetingRoom(contact)" class="input-group-btn group-btn-wrapper">
                    <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-copy"
                        ng-if="contact.actions.ShareLink" ng-click="clipboardPopup('meetingroom', generateMeetingShareLink(contact))"
                        title="{{'SHARE_LINK' | translate}}">
                        <i class="fas fa-share-alt"></i>
                    </a>
                </span>
                <span ng-if="!isMeetingRoom(contact)" class="input-group-btn group-btn-wrapper">
                    <span ng-if="isJitsiAvailable()">
                            <span ng-if="canInviteToMeetingRoom()">
                                <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-action" ng-if="canShowVideo()"
                                    ng-click="inviteToMeetingRoom(contact.actions.Video.args[0], contact.name)" title="{{'INVITE_TO_MEETING_ROOM' | translate}}">
                                    <div class="fa-users-plus-wrapper">
                                        <span><i class="fa fa-video fa-users-plus-0"></i></span>
                                        <i class="fa fa-plus fa-users-plus-1" aria-hidden="true"></i>
                                    </div>
                                </a>
                            </span>
                            <span ng-if="!canInviteToMeetingRoom()">
                                <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-action" ng-if="canShowVideo()"
                                ng-click="startPointToPointVideoCall(contact.actions.Video.args[0], contact.name)" title="{{'P2P_VIDEO_CALL' | translate}}">
                                    <i class="fas fa-video"></i>
                                </a>
                                <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-action btn-loggedoff" ng-if="!canShowVideo()"
                                title="{{'USER_VIDEO_NA' | translate}}">
                                    <i class="fas fa-video-slash"></i>
                                </a>
                            </span>
                    </span>
                </span>
                <span ng-if="!isMeetingRoom(contact)" class="input-group-btn group-btn-wrapper">
                    <span ng-if="appConfig.chat">
                        <a ng-if="canShowChat()" tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-action"
                        ng-click="goToChat(contact.actions.Chat.args[0], contact.name, contact.actions.Call.args[0])" title="{{'CHAT' | translate}}">
                            <i class="fas fa-comment-dots"></i>
                        </a>
                        <a class="btn btn-lg btn-dark btn-block btn-action btn-loggedoff" tabindex="0" ng-if="!canShowChat()" title="{{'USER_CHAT_NA' | translate}}">
                            <i class="fas fa-comment-slash"></i>
                        </a>
                    </span>
                </span>
                <span ng-if="!isMeetingRoom(contact)" class="input-group-btn group-btn-wrapper">
                    <span ng-if="canShowDirectTransfer()">
                        <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-direct-transfer" ng-click="directTransfer(phone)"
                            title="{{'DIRECT_TRANSFER' | translate}}">
                            <i class="fas fa-share"></i>
                        </a>
                    </span>
                </span>
                <span ng-if="!isMeetingRoom(contact)" class="input-group-btn group-btn-wrapper">
                    <span ng-if="canInviteToConference()">
                        <a href="" class="btn btn-lg btn-dark btn-block btn-action" ng-click="inviteToConference(phone)"
                            title="{{'INVITE_TO_CONFERENCE' | translate}}">
                            <span class="xivo-phone-plus-wrapper">
                              <span><i class="xivo-telephone"></i></span>
                              <i class="fa fa-plus xivo-phone-plus"></i>
                            </span>
                        </a>
                    </span>
                </span>
                <span ng-if="!isMeetingRoom(contact)" class="input-group-btn group-btn-wrapper">
                    <a ng-if="$index == 0" "tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-info" title="{{'INFO_CONTACT' | translate}}"
                        ng-click="openContactSheet(contact)">
                        <i class="fas fa-info"></i>
                    </a>
                    <a ng-if="$index > 0" "tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-copy" title="{{'COPY_CLIPBOARD' | translate}}"
                        ng-click="clipboardPopup('phone', phone)">
                        <i class="far fa-clipboard"></i>
                    </a>
                </span>
            </div>
        </li>
        <li ng-if="email">
            <span class="input-group-btn group-btn-wrapper">
                <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block" ng-href="{{mailToLink}}"
                    title="{{'SEND_EMAIL' | translate}}">
                    <span long-text="{{email}}" max-chars="{{emailMaxChars}}"></span>
                </a>
            </span>
            <span class="input-group-btn group-btn-wrapper">
                <a tabindex="0" href="" class="btn btn-lg btn-dark btn-block btn-copy" title="{{'COPY_CLIPBOARD' | translate}}" ng-click="clipboardPopup('email', email)">
                    <i class="far fa-clipboard"></i>
                </a>
            </span>
        </li>
    </ul>
</div>
